package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SubmitShemeTemplateEntryFactory
{
    private SubmitShemeTemplateEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.ISubmitShemeTemplateEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.ISubmitShemeTemplateEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("3E5A3C51") ,com.kingdee.eas.custom.compensation.ISubmitShemeTemplateEntry.class);
    }
    
    public static com.kingdee.eas.custom.compensation.ISubmitShemeTemplateEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.ISubmitShemeTemplateEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("3E5A3C51") ,com.kingdee.eas.custom.compensation.ISubmitShemeTemplateEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.ISubmitShemeTemplateEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.ISubmitShemeTemplateEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("3E5A3C51"));
    }
    public static com.kingdee.eas.custom.compensation.ISubmitShemeTemplateEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.ISubmitShemeTemplateEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("3E5A3C51"));
    }
}